ActaParserInternal::State Struct Reference

Internal: the state of a ActaParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
Printing | m_printerPreferences
| the printer preferences
std::string | m_title
| the title (if defined)
Label | m_label
| the list type
std::string | m_stringLabel
| the custom label (if defined)
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a ActaParser.

## Constructor & Destructor Documentation

## ◆ State()

ActaParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int ActaParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_footerHeight

int ActaParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int ActaParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_label

Label ActaParserInternal::State::m_label

the list type

Referenced by State().

## ◆ m_numPages

int ActaParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_printerPreferences

Printing ActaParserInternal::State::m_printerPreferences

the printer preferences

Referenced by State().

## ◆ m_stringLabel

std::string ActaParserInternal::State::m_stringLabel

the custom label (if defined)

Referenced by State().

## ◆ m_title

std::string ActaParserInternal::State::m_title

the title (if defined)

Referenced by State().

The documentation for this struct was generated from the following file:

- ActaParser.cxx